package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户地址对象 fs_user_address
 * 
 * @author fs
 * @date 2023-07-03
 */
public class FsUserAddress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long addressId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 收货人姓名 */
    @Excel(name = "收货人姓名")
    private String realName;

    /** 收货人电话 */
    @Excel(name = "收货人电话")
    private String phone;

    /** 收货人所在省 */
    @Excel(name = "收货人所在省")
    private String province;

    /** 收货人所在市 */
    @Excel(name = "收货人所在市")
    private String city;

    /** 收货人所在区 */
    @Excel(name = "收货人所在区")
    private String district;

    /** 城市IDS */
    @Excel(name = "城市IDS")
    private String cityIds;

    /** 收货人详细地址 */
    @Excel(name = "收货人详细地址")
    private String detail;

    /** 邮编 */
    @Excel(name = "邮编")
    private String postCode;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 是否默认 */
    @Excel(name = "是否默认")
    private Integer isDefault;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    public void setAddressId(Long addressId) 
    {
        this.addressId = addressId;
    }

    public Long getAddressId() 
    {
        return addressId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setRealName(String realName) 
    {
        this.realName = realName;
    }

    public String getRealName() 
    {
        return realName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setProvince(String province) 
    {
        this.province = province;
    }

    public String getProvince() 
    {
        return province;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setDistrict(String district) 
    {
        this.district = district;
    }

    public String getDistrict() 
    {
        return district;
    }
    public void setCityIds(String cityIds) 
    {
        this.cityIds = cityIds;
    }

    public String getCityIds() 
    {
        return cityIds;
    }
    public void setDetail(String detail) 
    {
        this.detail = detail;
    }

    public String getDetail() 
    {
        return detail;
    }
    public void setPostCode(String postCode) 
    {
        this.postCode = postCode;
    }

    public String getPostCode() 
    {
        return postCode;
    }
    public void setLongitude(String longitude) 
    {
        this.longitude = longitude;
    }

    public String getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(String latitude) 
    {
        this.latitude = latitude;
    }

    public String getLatitude() 
    {
        return latitude;
    }
    public void setIsDefault(Integer isDefault)
    {
        this.isDefault = isDefault;
    }

    public Integer getIsDefault()
    {
        return isDefault;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }


}
